-- TRUCK-KING 20/12/2018

PeatMod = {};
g_storeManager:addCategory("peatMachine","Turvekoneet","store_peatMachines.png",StoreManager.CATEGORY_TYPE.TOOL,g_currentModDirectory)

function PeatMod:disableWeeds(startWorldX,startWorldZ,widthWorldX,widthWorldZ,heightWorldX,heightWorldZ,value)

end;

function PeatMod:loadMap(name)
    gategoriesToRemove = {
                            "HARVESTERS",
                            "CUTTERS",
                            "CORNHEADERS",
                            "FORAGEHARVESTERS",
                            "FORAGEHARVESTERCUTTERS",
                            "CUTTERTRAILERS",
                            "BEETHARVESTING",
                            "POTATOHARVESTING",
                            "POTATOVEHICLES",
                            "ANIMALSVEHICLES",
                            "ANIMALTRANSPORT",
                            "COTTONHARVESTING",
                            "BALING",
                            "POWERHARROWS",
                            "SUBSOILERS",
                            "DISCHARROWS",
                            "CULTIVATORS",
                            "PLOWS",
                            "PLANTERS",
                            "SEEDERS",
                            "SPRAYERS",
                            "SPRAYERVEHICLES",
                            "FERTILIZERSPREADERS",
                            "SLURRYTANKS",
                            "MANURESPREADERS",
                            "SUGARCANEVEHICLES",
                            "COTTONVEHICLES",
                            "WEEDERS",
                            "MOWERS",
                            "MOWERVEHICLES",
                            "TEDDERS",
                            "WINDROWERS",
                            "LOADERWAGONS",
                            "AUGERWAGONS",
                            "BELTS",
                            "ANIMALS",
                            "ANIMALPENS",
                            "BIGBAGS",
                            "BALES",
                            "BEETVEHICLES",
                            "SUGARCANEHARVESTING"
                        }

	WildlifeSpawner.getIsOnField = PeatMod.getIsOnField
	FSDensityMapUtil.setWeedArea = PeatMod.disableWeeds;
		
	for _, v in pairs(g_fillTypeManager:getFillTypes()) do
		if not (v.name ==  "PEAT_WINDROW") then
			v.showOnPriceTable = false;
		end
	end	
	
    if g_storeManager:getItems() ~= nil and gategoriesToRemove ~= nil then
        for _, item in pairs(g_storeManager:getItems()) do
            --print ("KATEKORIA: " .. item.categoryName)  
            for _, itemName in pairs(gategoriesToRemove) do
                if item.categoryName == itemName then
                    item.showInStore = false;
                    --print ("REMOVED: " .. item.name)
                    break;
                end  
            end
        end
        for _, name in pairs(gategoriesToRemove) do
            g_storeManager:removeCategory(name)
        end
    end
end

function PeatMod:getIsOnField(x, y, z)
    return false
end


function PeatMod:deleteMap()
end

function PeatMod:mouseEvent(posX, posY, isDown, isUp, button)
end

function PeatMod:keyEvent(unicode, sym, modifier, isDown)
end

function PeatMod:update(dt)
end

function PeatMod:drawUIInfo()
end

addModEventListener(PeatMod)